import * as mysql from "mysql";
import { Config } from "../Connector";
import { DriverInterface } from "./DriverInterface";
export declare class MySqlDriver implements DriverInterface {
    protected _conn: mysql.Connection;
    protected _config: Config;
    constructor(config: Config);
    connect(): this;
    run(sql: string, bindings?: any[]): Promise<any>;
    beginTransaction(): Promise<void>;
    commit(): Promise<void>;
    rollback(): Promise<void>;
    close(): void;
    protected ensureConnected(): void;
}
