import { Grammar } from "./Grammar";
import { Builder, Map } from "../Builder";
export declare class PostgresGrammar extends Grammar {
    private parameterNumber;
    /**
     * All of the available clause operators
     */
    protected operators: string[];
    /**
     * Wrap a single string in keyword identifiers
     * @param value
     */
    wrapSingleValue(value: string): string;
    /**
     * Get the appropriate query parameter place-holder
     */
    parameter(value?: any): string;
    compileInsertGetId(query: Builder, map: Map, sequence: string): string;
}
